# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.676.14.34 -> 1.676.14.35
#	drivers/ide/ide-dma.c	1.6     -> 1.7    
#	drivers/scsi/scsi_merge.c	1.9     -> 1.10   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/09/27	bjorn_helgaas@hp.com	1.676.14.35
# Fix block IO use of dma64_addr_t.
# --------------------------------------------
#
diff -Nru a/drivers/ide/ide-dma.c b/drivers/ide/ide-dma.c
--- a/drivers/ide/ide-dma.c	Wed Oct  8 09:07:32 2003
+++ b/drivers/ide/ide-dma.c	Wed Oct  8 09:07:32 2003
@@ -605,7 +605,7 @@
 
 static inline void ide_toggle_bounce(ide_drive_t *drive, int on)
 {
-	dma64_addr_t addr = BLK_BOUNCE_HIGH;
+	u64 addr = BLK_BOUNCE_HIGH;
 
 	if (HWIF(drive)->no_highio || HWIF(drive)->pci_dev == NULL)
 		return;
diff -Nru a/drivers/scsi/scsi_merge.c b/drivers/scsi/scsi_merge.c
--- a/drivers/scsi/scsi_merge.c	Wed Oct  8 09:07:32 2003
+++ b/drivers/scsi/scsi_merge.c	Wed Oct  8 09:07:32 2003
@@ -1155,7 +1155,7 @@
 {
 	struct Scsi_Host *SHpnt = SDpnt->host;
 	request_queue_t *q = &SDpnt->request_queue;
-	dma64_addr_t bounce_limit;
+	u64 bounce_limit;
 
 	/*
 	 * If this host has an unlimited tablesize, then don't bother with a
